import setuptools

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setuptools.setup(
    name="pingpongthread",
    version="1.0.8",
    author="3xhaust",
    author_email="s2424@e-mirim.hs.kr",
    description="sw동행 핑퐁",
    long_description=long_description,
    long_description_content_type="text/markdown",
    url="https://github.com/3x-haust/Python_SW",
    keywords=['3xhaust', 'python api', 'pingpong'],
    license_file='MIT',
    packages=setuptools.find_packages(),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.9',
    install_requires=[
        "absl-py>=2.2.2",
        "asttokens>=3.0.0",
        "astunparse>=1.6.3",
        "certifi>=2025.4.26",
        "charset-normalizer>=3.4.2",
        "click>=8.1.8",
        "contourpy>=1.3.0",
        "cycler>=0.12.1",
        "decorator>=5.2.1",
        "exceptiongroup>=1.3.0",
        "executing>=2.2.0",
        "flatbuffers>=25.2.10",
        "fonttools>=4.58.0",
        "future>=1.0.0",
        "gast>=0.6.0",
        "google-pasta>=0.2.0",
        "grpcio>=1.71.0",
        "gtts>=2.5.4",
        "h5py>=3.13.0",
        "idna>=3.10",
        "importlib_metadata>=8.7.0",
        "importlib_resources>=6.5.2",
        "ipython>=8.18.1",
        "iso8601>=2.1.0",
        "jedi>=0.19.2",
        "keras>=3.9.2",
        "keyboard>=0.13.5",
        "kiwisolver>=1.4.7",
        "libclang>=18.1.1",
        "markdown>=3.8",
        "markdown-it-py>=3.0.0",
        "markupsafe>=3.0.2",
        "matplotlib>=3.9.4",
        "matplotlib-inline>=0.1.7",
        "mdurl>=0.1.2",
        "ml_dtypes>=0.5.1",
        "namex>=0.0.9",
        "numpy>=2.0.2",
        "opencv-python>=4.11.0.86",
        "opt_einsum>=3.4.0",
        "optree>=0.15.0",
        "packaging>=25.0",
        "parso>=0.8.4",
        "pexpect>=4.9.0",
        "pillow>=11.2.1",
        "playsound>=1.3.0",
        "prompt_toolkit>=3.0.51",
        "protobuf>=5.29.4",
        "psutil>=7.0.0",
        "ptyprocess>=0.7.0",
        "pure_eval>=0.2.3",
        "pyaudio>=0.2.14",
        "pygments>=2.19.1",
        "pyobjc>=11.0",
        "pyobjc-core>=11.0",
        "pyobjc-framework-accessibility>=11.0",
        "pyobjc-framework-accounts>=11.0",
        "pyobjc-framework-addressbook>=11.0",
        "pyobjc-framework-adservices>=11.0",
        "pyobjc-framework-adsupport>=11.0",
        "pyobjc-framework-applescriptkit>=11.0",
        "pyobjc-framework-applescriptobjc>=11.0",
        "pyobjc-framework-applicationservices>=11.0",
        "pyobjc-framework-apptrackingtransparency>=11.0",
        "pyobjc-framework-audiovideobridging>=11.0",
        "pyobjc-framework-authenticationservices>=11.0",
        "pyobjc-framework-automaticassessmentconfiguration>=11.0",
        "pyobjc-framework-automator>=11.0",
        "pyobjc-framework-avfoundation>=11.0",
        "pyobjc-framework-avkit>=11.0",
        "pyobjc-framework-avrouting>=11.0",
        "pyobjc-framework-backgroundassets>=11.0",
        "pyobjc-framework-browserenginekit>=11.0",
        "pyobjc-framework-businesschat>=11.0",
        "pyobjc-framework-calendarstore>=11.0",
        "pyobjc-framework-callkit>=11.0",
        "pyobjc-framework-carbon>=11.0",
        "pyobjc-framework-cfnetwork>=11.0",
        "pyobjc-framework-cinematic>=11.0",
        "pyobjc-framework-classkit>=11.0",
        "pyobjc-framework-cloudkit>=11.0",
        "pyobjc-framework-cocoa>=11.0",
        "pyobjc-framework-collaboration>=11.0",
        "pyobjc-framework-colorsync>=11.0",
        "pyobjc-framework-contacts>=11.0",
        "pyobjc-framework-contactsui>=11.0",
        "pyobjc-framework-coreaudio>=11.0",
        "pyobjc-framework-coreaudiokit>=11.0",
        "pyobjc-framework-corebluetooth>=11.0",
        "pyobjc-framework-coredata>=11.0",
        "pyobjc-framework-corehaptics>=11.0",
        "pyobjc-framework-corelocation>=11.0",
        "pyobjc-framework-coremedia>=11.0",
        "pyobjc-framework-coremediaio>=11.0",
        "pyobjc-framework-coremidi>=11.0",
        "pyobjc-framework-coreml>=11.0",
        "pyobjc-framework-coremotion>=11.0",
        "pyobjc-framework-coreservices>=11.0",
        "pyobjc-framework-corespotlight>=11.0",
        "pyobjc-framework-coretext>=11.0",
        "pyobjc-framework-corewlan>=11.0",
        "pyobjc-framework-cryptotokenkit>=11.0",
        "pyobjc-framework-datadetection>=11.0",
        "pyobjc-framework-devicecheck>=11.0",
        "pyobjc-framework-devicediscoveryextension>=11.0",
        "pyobjc-framework-dictionaryservices>=11.0",
        "pyobjc-framework-discrecording>=11.0",
        "pyobjc-framework-discrecordingui>=11.0",
        "pyobjc-framework-diskarbitration>=11.0",
        "pyobjc-framework-dvdplayback>=11.0",
        "pyobjc-framework-eventkit>=11.0",
        "pyobjc-framework-exceptionhandling>=11.0",
        "pyobjc-framework-executionpolicy>=11.0",
        "pyobjc-framework-extensionkit>=11.0",
        "pyobjc-framework-externalaccessory>=11.0",
        "pyobjc-framework-fileprovider>=11.0",
        "pyobjc-framework-fileproviderui>=11.0",
        "pyobjc-framework-findersync>=11.0",
        "pyobjc-framework-fsevents>=11.0",
        "pyobjc-framework-gamecenter>=11.0",
        "pyobjc-framework-gamecontroller>=11.0",
        "pyobjc-framework-gamekit>=11.0",
        "pyobjc-framework-gameplaykit>=11.0",
        "pyobjc-framework-healthkit>=11.0",
        "pyobjc-framework-imagecapturecore>=11.0",
        "pyobjc-framework-inputmethodkit>=11.0",
        "pyobjc-framework-installerplugins>=11.0",
        "pyobjc-framework-instantmessage>=11.0",
        "pyobjc-framework-intents>=11.0",
        "pyobjc-framework-intentsui>=11.0",
        "pyobjc-framework-iobluetooth>=11.0",
        "pyobjc-framework-iobluetoothui>=11.0",
        "pyobjc-framework-iosurface>=11.0",
        "pyobjc-framework-ituneslibrary>=11.0",
        "pyobjc-framework-kernelmanagement>=11.0",
        "pyobjc-framework-latentsemanticmapping>=11.0",
        "pyobjc-framework-launchservices>=11.0",
        "pyobjc-framework-libdispatch>=11.0",
        "pyobjc-framework-libxpc>=11.0",
        "pyobjc-framework-linkpresentation>=11.0",
        "pyobjc-framework-localauthentication>=11.0",
        "pyobjc-framework-localauthenticationembeddedui>=11.0",
        "pyobjc-framework-mailkit>=11.0",
        "pyobjc-framework-mapkit>=11.0",
        "pyobjc-framework-mediaaccessibility>=11.0",
        "pyobjc-framework-mediaextension>=11.0",
        "pyobjc-framework-medialibrary>=11.0",
        "pyobjc-framework-mediaplayer>=11.0",
        "pyobjc-framework-mediatoolbox>=11.0",
        "pyobjc-framework-metal>=11.0",
        "pyobjc-framework-metalfx>=11.0",
        "pyobjc-framework-metalkit>=11.0",
        "pyobjc-framework-metalperformanceshaders>=11.0",
        "pyobjc-framework-metalperformanceshadersgraph>=11.0",
        "pyobjc-framework-metrickit>=11.0",
        "pyobjc-framework-mlcompute>=11.0",
        "pyobjc-framework-modelio>=11.0",
        "pyobjc-framework-multipeerconnectivity>=11.0",
        "pyobjc-framework-naturallanguage>=11.0",
        "pyobjc-framework-netfs>=11.0",
        "pyobjc-framework-network>=11.0",
        "pyobjc-framework-networkextension>=11.0",
        "pyobjc-framework-notificationcenter>=11.0",
        "pyobjc-framework-opendirectory>=11.0",
        "pyobjc-framework-osakit>=11.0",
        "pyobjc-framework-oslog>=11.0",
        "pyobjc-framework-passkit>=11.0",
        "pyobjc-framework-pencilkit>=11.0",
        "pyobjc-framework-phase>=11.0",
        "pyobjc-framework-photos>=11.0",
        "pyobjc-framework-photosui>=11.0",
        "pyobjc-framework-preferencepanes>=11.0",
        "pyobjc-framework-pushkit>=11.0",
        "pyobjc-framework-quartz>=11.0",
        "pyobjc-framework-quicklookthumbnailing>=11.0",
        "pyobjc-framework-replaykit>=11.0",
        "pyobjc-framework-safariservices>=11.0",
        "pyobjc-framework-safetykit>=11.0",
        "pyobjc-framework-scenekit>=11.0",
        "pyobjc-framework-screencapturekit>=11.0",
        "pyobjc-framework-screensaver>=11.0",
        "pyobjc-framework-screentime>=11.0",
        "pyobjc-framework-scriptingbridge>=11.0",
        "pyobjc-framework-searchkit>=11.0",
        "pyobjc-framework-security>=11.0",
        "pyobjc-framework-securityfoundation>=11.0",
        "pyobjc-framework-securityinterface>=11.0",
        "pyobjc-framework-sensitivecontentanalysis>=11.0",
        "pyobjc-framework-servicemanagement>=11.0",
        "pyobjc-framework-sharedwithyou>=11.0",
        "pyobjc-framework-sharedwithyoucore>=11.0",
        "pyobjc-framework-shazamkit>=11.0",
        "pyobjc-framework-social>=11.0",
        "pyobjc-framework-soundanalysis>=11.0",
        "pyobjc-framework-speech>=11.0",
        "pyobjc-framework-spritekit>=11.0",
        "pyobjc-framework-storekit>=11.0",
        "pyobjc-framework-symbols>=11.0",
        "pyobjc-framework-syncservices>=11.0",
        "pyobjc-framework-systemconfiguration>=11.0",
        "pyobjc-framework-systemextensions>=11.0",
        "pyobjc-framework-threadnetwork>=11.0",
        "pyobjc-framework-uniformtypeidentifiers>=11.0",
        "pyobjc-framework-usernotifications>=11.0",
        "pyobjc-framework-usernotificationsui>=11.0",
        "pyobjc-framework-videosubscriberaccount>=11.0",
        "pyobjc-framework-videotoolbox>=11.0",
        "pyobjc-framework-virtualization>=11.0",
        "pyobjc-framework-vision>=11.0",
        "pyobjc-framework-webkit>=11.0",
        "pyparsing>=3.2.3",
        "pyserial>=3.5",
        "python-dateutil>=2.9.0.post0",
        "pyyaml>=6.0.2",
        "requests>=2.32.3",
        "rich>=14.0.0",
        "six>=1.17.0",
        "speechrecognition>=3.14.2",
        "stack-data>=0.6.3",
        "tensorboard>=2.19.0",
        "tensorboard-data-server>=0.7.2",
        "tensorflow>=2.19.0",
        "tensorflow-io-gcs-filesystem>=0.37.1",
        "termcolor>=3.1.0",
        "traitlets>=5.14.3",
        "typing_extensions>=4.13.2",
        "urllib3>=2.4.0",
        "wcwidth>=0.2.13",
        "werkzeug>=3.1.3",
        "wrapt>=1.17.2",
        "zipp>=3.21.0"
    ]
)
